Skip to main content
GET
Get an exchange withdrawal
The status of one withdrawal, and its transaction hash once broadcast. Poll it until the withdrawal settles.

Authorizations

x-calm-publishable-key
string
header
required

Publishable key identifying the calling app.

Path Parameters

exchange
enum<string>
required
Available options:
coinbase
id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

wallet
string
required
Pattern: ^0x[a-fA-F0-9]{40}$

Response

The withdrawal.

completed_at
string<date-time> | null
required
created_at
string<date-time>
required
error_code
string | null
required
error_message
string | null
required
id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
source
object
required
status
enum<string>
required
Available options:
quoted,
pending,
broadcasted,
failed,
delayed
transaction_hash
string | null
required